import { QueryParser } from "../../partial-src/component/queryParser"

export function run() {
    describe("QueryParser", function () {
        let expect = chai.expect;
        let assert = chai.assert;
        describe("# parse()", () => {
            it(`"http://abc.com?a=a&b=b" should be parsed to {a:"a",b"b"}`, () => {
                let url = "http://abc.com?a=a&b=b"
                let result = QueryParser.parse(url);
                assert(result["a"] === "a" && result["b"] === "b");
            })
        })
    })
}
